Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.util
Class ResponseTimeMonitorImpl

    java.lang.Object
      org.springframework.util.ResponseTimeMonitorImpl

All Implemented Interfaces:
  ResponseTimeMonitor

    public class ResponseTimeMonitorImpl

extends Object
implements ResponseTimeMonitor

Implementation of ResponseTimeMonitor for use via delegation by objects that implement this interface.

Since:
  November 21, 2000
Author:
  Rod Johnson

Constructor Summary
`ResponseTimeMonitorImpl()`

Method Summary
`int` | `getAccessCount()` Return the number of hits this object has handled.
`int` | `getAverageResponseTimeMillis()` Return the average response time achieved by this object.
`int` | `getBestResponseTimeMillis()` Return the best (lowest) response time achieved by this object.
`Date` | `getLoadDate()` Return the date when this object was loaded.
`long` | `getUptimeMillis()` Return the number of milliseconds since this object was loaded.
`int` | `getWorstResponseTimeMillis()` Return the worst (slowest) response time achieved by this object.
`void` | `recordResponseTime(long responseTimeMillis)` Utility method to record this response time, updating the best and worst response times if necessary.
`String` | `toString()` Return a human-readable string showing the performance data recorded by this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResponseTimeMonitorImpl

    public ResponseTimeMonitorImpl()

Method Detail

### getLoadDate

    public Date getLoadDate()

  Return the date when this object was loaded.

### getAccessCount

    public int getAccessCount()

  Return the number of hits this object has handled.

  Specified by:
    `getAccessCount` in interface `ResponseTimeMonitor`

### getUptimeMillis

    public long getUptimeMillis()

  Return the number of milliseconds since this object was loaded.

### getAverageResponseTimeMillis

    public int getAverageResponseTimeMillis()

  Return the average response time achieved by this object.

  Specified by:
    `getAverageResponseTimeMillis` in interface `ResponseTimeMonitor`

### getBestResponseTimeMillis

    public int getBestResponseTimeMillis()

  Return the best (lowest) response time achieved by this object.

  Specified by:
    `getBestResponseTimeMillis` in interface `ResponseTimeMonitor`

### getWorstResponseTimeMillis

    public int getWorstResponseTimeMillis()

  Return the worst (slowest) response time achieved by this object.

  Specified by:
    `getWorstResponseTimeMillis` in interface `ResponseTimeMonitor`

### recordResponseTime

    public void recordResponseTime(long responseTimeMillis)

  Utility method to record this response time, updating the best and worst response times if necessary.

  Parameters:
    `responseTimeMillis` - the response time of this request

### toString

    public String toString()

  Return a human-readable string showing the performance data recorded by this object.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.